API7 Docs
API7 GatewayAPI7 Enterprise Developer Portal APIsGet API Calls

Get API Calls

GET /api/applications/api_calls

GET /api/applications/api_calls

Interactive request editor loads with JavaScript.

Authorization

BearerAuth DeveloperIDHeader
AuthorizationBearer <token>

In: header

X-Portal-Developer-ID<token>

In: header

Query Parameters

application_id?array<>
api_product_id?array<>

The API product IDs.

credential_id?array<>
start_at*integer
end_at*integer

Response Body

application/json

application/json

application/json

curl -X GET "$API_BASE_URL/api/applications/api_calls?start_at=0&end_at=0"

{
  "list": [
    {
      "api_product_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
      "api_product_name": "us-west-rsc",
      "hour_timestamp": 1742288230,
      "api_calls": 0
    }
  ],
  "total": 1
}
Complete operation details and schema variants

GET /api/applications/api_calls

Get API Calls

Retrieve a list of API calls made by the user.

Parameters

  • application_id (query, array, optional):
  • api_product_id (query, array, optional): The API product IDs.
  • credential_id (query, array, optional):
  • start_at (query, integer, required):
  • end_at (query, integer, required):

Responses

  • 200:
  • list (array, required): An array of API calls.
  • list[].api_product_id (string, required): The object ID.
  • list[].api_product_name (string, required): The object name.
  • list[].hour_timestamp (integer, required): The object timestamp.
  • list[].api_calls (integer, required): The number of API calls.
  • total (integer, required): Total number of objects.
  • 400: Bad request.
  • status (integer, required): The HTTP status code of the error response.
  • message (string, required): The error message.
  • 401: Unauthorized. Response fields (application/json): identical to GET /api/applications/api_calls, response 400 above.
  • 500: Internal server error.

cURL

curl -X GET '$API_BASE_URL/api/applications/api_calls'